<?xml version="1.0" encoding="utf-8"?>
<FrameLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="@dimen/twelve">

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/searchWithKeyboard"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/search_with_keyboard"
                android:textSize="@dimen/normalText"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/keyboardAutoGroup"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/searchWithKeyboard"
                app:selectionRequired="true"
                app:singleSelection="true"/>

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/quickLaunch"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/quick_launch"
                android:textSize="@dimen/normalText"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/keyboardAutoGroup" />

            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/quickLaunchGroup"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/quickLaunch"
                app:selectionRequired="true"
                app:singleSelection="true"/>


            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/appsCount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/apps_count"
                android:textSize="@dimen/normalText"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/quickLaunchGroup" />

            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/appsCountGroup"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/appsCount"
                app:selectionRequired="true"
                app:singleSelection="true"/>





            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/columnsCountTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:textSize="@dimen/normalText"
                android:text="@string/grid_columns_count"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/appsCountGroup" />

            <com.google.android.material.slider.Slider
                android:id="@+id/columnsCount"
                android:layout_width="@dimen/zero"
                android:layout_height="wrap_content"
                android:valueFrom="5"
                android:valueTo="40"
                android:stepSize="1"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/columnsCountTitle" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/shortTimeTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/shortTimeTitle"
                android:textSize="@dimen/normalText"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/columnsCount" />

            <com.google.android.material.slider.Slider
                android:id="@+id/shortTime"
                android:layout_width="@dimen/zero"
                android:layout_height="wrap_content"
                android:valueFrom="5"
                android:valueTo="60"
                android:stepSize="5"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/shortTimeTitle" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/middleTimeTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/middleTimeTitle"
                android:textSize="@dimen/normalText"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/shortTime" />

            <com.google.android.material.slider.Slider
                android:id="@+id/middleTime"
                android:layout_width="@dimen/zero"
                android:layout_height="wrap_content"
                android:valueFrom="5"
                android:valueTo="120"
                android:stepSize="5"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/middleTimeTitle" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/longTimeTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/longTimeTitle"
                android:textSize="@dimen/normalText"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/middleTime" />

            <com.google.android.material.slider.Slider
                android:id="@+id/longTime"
                android:layout_width="@dimen/zero"
                android:layout_height="wrap_content"
                android:valueFrom="5"
                android:valueTo="180"
                android:stepSize="5"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/longTimeTitle" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/locationTimeTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/longTimeTitle"
                android:textSize="@dimen/normalText"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/longTime" />

            <com.google.android.material.slider.Slider
                android:id="@+id/locationTime"
                android:layout_width="@dimen/zero"
                android:layout_height="wrap_content"
                android:valueFrom="5"
                android:valueTo="180"
                android:stepSize="5"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/locationTimeTitle" />


            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/locationDistanceTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/twelve"
                android:text="@string/longTimeTitle"
                android:textSize="@dimen/normalText"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/locationTime" />

            <com.google.android.material.slider.Slider
                android:id="@+id/locationDistance"
                android:layout_width="@dimen/zero"
                android:layout_height="wrap_content"
                android:valueFrom="50"
                android:valueTo="2000"
                android:stepSize="50"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/locationDistanceTitle" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</FrameLayout>